/**
 * @desc 文库管理-问卷管理
 * @author linyuanjie
 * @date 2023/10/17
 */

import request from '@/router/axios'

/**
 * 题库管理
 */
// 创建试题
export function addQuestion(data) {
  return request({
    url: '/admin/quiz/question/create',
    method: 'post',
    data
  })
}

// 获取试题分页
export function getQuestionPage(query) {
  return request({
    url: '/admin/quiz/question/page',
    method: 'get',
    params: query
  })
}

// 获取试题详情
export function getQuestionDetail(query) {
  return request({
    url: '/admin/quiz/question/details',
    method: 'get',
    params: query
  })
}

// 更新试题
export function updateQuestion(data) {
  return request({
    url: '/admin/quiz/question/update',
    method: 'post',
    data
  })
}

// 删除试题
export function deleteQuestion(data) {
  return request({
    url: '/admin/quiz/question/del',
    method: 'post',
    data
  })
}

/**
 * 试卷管理
 */
// 获取试卷分页
export function getQuizPage(query) {
  return request({
    url: '/admin/quiz/page',
    method: 'get',
    params: query
  })
}

// 创建试卷
export function addQuiz(data) {
  return request({
    url: '/admin/quiz/create',
    method: 'post',
    data
  })
}

// 发布试卷
export function releaseQuiz(data) {
  return request({
    url: '/admin/quiz/state/release',
    method: 'post',
    data
  })
}

// 中止试卷
export function stopQuiz(data) {
  return request({
    url: '/admin/quiz/state/stop',
    method: 'post',
    data
  })
}

/**
 * 创建试卷
 */
// 创建试卷项（添加试题）
export function addQuizItem(data) {
  return request({
    url: '/admin/quiz/item/create',
    method: 'post',
    data
  })
}

// 删除试卷项
export function delQuizItem(data) {
  return request({
    url: '/admin/quiz/item/del',
    method: 'post',
    data
  })
}

// 批量创建试卷项（添加试题）
export function batchAddQuizItem(data) {
  return request({
    url: '/admin/quiz/item/batch/create',
    method: 'post',
    data
  })
}

// 更新试卷项
export function updateQuizItem(data) {
  return request({
    url: '/admin/quiz/item/update',
    method: 'post',
    data
  })
}

// 更新问卷信息
export function updateQuiz(data) {
  return request({
    url: '/admin/quiz/update',
    method: 'post',
    data
  })
}

// 获取试卷详情
export function getQuizDetail(query) {
  return request({
    url: '/admin/quiz/details',
    method: 'get',
    params: query
  })
}

// 获取可用的试卷
export function getAvailQuizList(query) {
  return request({
    url: '/admin/quiz/avail/list',
    method: 'get',
    params: query
  })
}
